Bug 707165 - [abrt] vegastrike-0.5.0-21.fc15: Mesh::LoadMeshes: Process /usr/bin/vegastrike was killed by signal 11 (SIGSEGV)
Summary: [abrt] vegastrike-0.5.0-21.fc15: Mesh::LoadMeshes: Process /usr/bin/vegastrik...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: vegastrike
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bruno Wolff III
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:62f3e00ed543c0b658aee3f1ca9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-24 09:42 UTC by Rudolf Kastl
Modified: 2012-08-07 15:30 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:30:25 UTC


Attachments (Terms of Use)
File: maps (24.38 KB, text/plain)
2011-05-24 09:42 UTC, Rudolf Kastl
no flags Details
File: backtrace (480.80 KB, text/plain)
2011-05-24 09:42 UTC, Rudolf Kastl
no flags Details

Description Rudolf Kastl 2011-05-24 09:42:41 UTC
abrt version: 2.0.1
architecture:   x86_64
cmdline:        vegastrike
comment:        booted into gnome-shell... tried to start vegastrike... -> segfault
component:      vegastrike
crash_function: Mesh::LoadMeshes
executable:     /usr/bin/vegastrike
kernel:         2.6.38.6-27.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        vegastrike-0.5.0-21.fc15
rating:         4
reason:         Process /usr/bin/vegastrike was killed by signal 11 (SIGSEGV)
time:           Tue May 24 11:16:47 2011
uid:            501
username:       rkastl

backtrace:      Text file, 492335 bytes
maps:           Text file, 24968 bytes

dsos:
:/usr/lib64/libdrm_intel.so.1.0.0 libdrm-2.4.25-1.fc15.x86_64 (Fedora Project) 1302857226
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1300740956
:/lib64/libkrb5.so.3.3 krb5-libs-1.9-7.fc15.x86_64 (Fedora Project) 1302767249
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1300739887
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1300739864
:/lib64/libkeyutils-1.2.so keyutils-libs-1.2-7.fc15.x86_64 (Fedora Project) 1300736323
:/usr/lib64/libdrm.so.2.4.0 libdrm-2.4.25-1.fc15.x86_64 (Fedora Project) 1302857226
:/lib64/libdl-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1306096706
:/usr/lib64/libopenal.so.1.12.854 openal-soft-1.12.854-2.fc15.x86_64 (Fedora Project) 1300758713
:/usr/lib64/libX11-xcb.so.1.0.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1303904692
:/usr/lib64/python2.7/lib-dynload/_functoolsmodule.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1302767230
:/usr/lib64/libvorbisenc.so.2.0.8 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1300739864
:/usr/lib64/python2.7/lib-dynload/cStringIO.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1302767230
:/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.9-7.fc15.x86_64 (Fedora Project) 1302767249
:/lib64/libwrap.so.0.7.6 tcp_wrappers-libs-7.6-60.fc15.x86_64 (Fedora Project) 1300733885
:/usr/lib64/libXtst.so.6.1.0 libXtst-1.2.0-2.fc15.x86_64 (Fedora Project) 1300740917
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1300739854
:/usr/lib64/libpulsecommon-0.9.22.so pulseaudio-libs-0.9.22-5.fc15.x86_64 (Fedora Project) 1302518208
:/lib64/libutil-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1306096706
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1300739859
:/usr/lib64/libboost_python.so.1.46.0 boost-python-1.46.0-1.fc15.x86_64 (Fedora Project) 1302083830
:/usr/lib64/libsndfile.so.1.0.24 libsndfile-1.0.24-1.fc15.x86_64 (Fedora Project) 1301379320
:/lib64/libresolv-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1306096706
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1300723720
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1300827635
:/usr/lib64/libtxc_dxtn.so libtxc_dxtn-1:1.0.0-1.fc15.x86_64 (RPM Fusion) 1301309858
:/lib64/libcrypto.so.1.0.0d openssl-1.0.0d-1.fc15.x86_64 (Fedora Project) 1300758623
:/usr/lib64/libpulse.so.0.12.3 pulseaudio-libs-0.9.22-5.fc15.x86_64 (Fedora Project) 1302518208
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1300740901
:/lib64/libnss_files-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1306096706
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1303904692
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1300740940
:/lib64/librt-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1306096706
:/usr/lib64/libFLAC.so.8.2.0 flac-1.2.1-6.fc12.x86_64 (Fedora Project) 1251449969
:/lib64/libgcc_s-4.6.0-20110509.so.1 libgcc-4.6.0-7.fc15.x86_64 (Fedora Project) 1305615792
:/lib64/ld-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1306096706
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-4.fc15.x86_64 (Fedora Project) 1304673496
:/lib64/libk5crypto.so.3.1 krb5-libs-1.9-7.fc15.x86_64 (Fedora Project) 1302767249
:/usr/lib64/libXt.so.6.0.0 libXt-1.1.0-1.fc15.x86_64 (Fedora Project) 1300740899
:/lib64/libuuid.so.1.3.0 libuuid-2.19.1-1.fc15.x86_64 (Fedora Project) 1305032845
:/usr/lib64/libssl.so.1.0.0d openssl-1.0.0d-1.fc15.x86_64 (Fedora Project) 1300758623
:/usr/lib64/dri/i965_dri.so mesa-dri-drivers-7.11-0.9.20110509.0.fc15.x86_64 (Fedora Project) 1305278844
:/usr/lib64/libGLU.so.1.3.071100 mesa-libGLU-7.11-0.9.20110509.0.fc15.x86_64 (Fedora Project) 1305278454
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.6-3.fc15.x86_64 (Fedora Project) 1300739847
:/usr/lib64/libXxf86vm.so.1.0.0 libXxf86vm-1.1.1-2.fc15.x86_64 (Fedora Project) 1300740958
:/lib64/libpthread-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1306096706
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1300739880
:/usr/lib64/libpython2.7.so.1.0 python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1302767230
:/usr/lib64/libGL.so.1.2 mesa-libGL-7.11-0.9.20110509.0.fc15.x86_64 (Fedora Project) 1305278441
:/usr/lib64/python2.7/lib-dynload/syslog.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1302767230
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1300739068
:/usr/lib64/libglut.so.3.9.0 freeglut-2.6.0-6.fc15.x86_64 (Fedora Project) 1300725438
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1300740898
:/lib64/libkrb5support.so.0.1 krb5-libs-1.9-7.fc15.x86_64 (Fedora Project) 1302767249
:/usr/lib64/libjpeg.so.62.0.0 libjpeg-turbo-1.1.0-2.fc15.x86_64 (Fedora Project) 1300864566
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.0-7.fc15.x86_64 (Fedora Project) 1305615861
:/usr/lib64/python2.7/lib-dynload/_ssl.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1302767230
:/usr/lib64/libasyncns.so.0.3.1 libasyncns-0.8-2.fc15.x86_64 (Fedora Project) 1300740833
:/lib64/libnsl-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1306096706
:/usr/lib64/libSDL-1.2.so.0.11.3 SDL-1.2.14-11.fc15.x86_64 (Fedora Project) 1300819920
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1300739864
:/usr/lib64/python2.7/lib-dynload/_socketmodule.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1302767230
:/lib64/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.x86_64 (Fedora Project) 1300739865
:/lib64/libc-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1306096706
:/usr/bin/vegastrike vegastrike-0.5.0-21.fc15.x86_64 (Fedora Project) 1306227963
:/usr/lib64/gconv/gconv-modules.cache glibc-2.13.90-13.x86_64 (Fedora Project) 1306096706
:/usr/lib64/libpng12.so.0.44.0 libpng-2:1.2.44-3.fc15.x86_64 (Fedora Project) 1300739843
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1302083721
:/usr/lib64/libXmu.so.6.2.0 libXmu-1.1.0-2.fc15.x86_64 (Fedora Project) 1300740913
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.2-1.fc15.x86_64 (Fedora Project) 1300827638
:/usr/lib/locale/locale-archive glibc-common-2.13.90-13.x86_64 (Fedora Project) 1306096678
:/usr/lib64/libxcb-atom.so.1.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1299943245
:/lib64/libm-2.13.90.so glibc-2.13.90-13.x86_64 (Fedora Project) 1306096706

environ:
:DREAL_TECHNO_NAME=/usr/lib64/alliance/etc/cmos.dreal
:MANPATH=:/usr/lib64/alliance/man:/usr/local/share/man:/usr/share/man:/usr/lib64/alliance/man:/usr/lib64/alliance/man
:ORBIT_SOCKETDIR=/tmp/orbit-rkastl
:VH_PATSFX=pat
:TPD_GLOBAL=/usr/share/toped/
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=4494
:GPG_AGENT_INFO=/tmp/keyring-9QSREM/gpg:0:1
:MBK_IN_PH=ap
:TERM=xterm
:XSCH_PARAM_NAME=/usr/lib64/alliance/etc/xsch.par
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=790b3599cc84062938a15a4649e8d593-1306135473.681926-781190483
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:VH_MAXERR=10
:WINDOWID=14680068
:QTDIR=/usr/lib64/qt-3.3
:RDS_OUT=cif
:GNOME_KEYRING_CONTROL=/tmp/keyring-9QSREM
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:XFSM_PARAM_NAME=/usr/lib64/alliance/etc/xfsm.par
:GRAAL_TECHNO_NAME=/usr/lib64/alliance/etc/cmos.graal
:ALLIANCE_TOP=/usr/lib64/alliance
:IMSETTINGS_MODULE=IBus
:TPD_LOCAL=/home/rkastl
:USER=rkastl
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:LD_LIBRARY_PATH=/usr/lib64/alliance/lib:/usr/lib64/alliance/lib
:SSH_AUTH_SOCK=/tmp/keyring-9QSREM/ssh
:USERNAME=rkastl
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2138,unix/unix:/tmp/.ICE-unix/2138
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/terminator.desktop
:DESKTOP_SESSION=gnome
:MAIL=/var/spool/mail/rkastl
:PATH=/lib/upstart:/lib/upstart:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/usr/lib64/alliance/bin:/usr/libexec/sdcc:/home/rkastl/bin:/usr/lib64/alliance/bin:/usr/libexec/sdcc
:MBK_SCALE_X=100
:QT_IM_MODULE=xim
:MBK_CATAL_NAME=CATAL
:PWD=/home/rkastl/Downloads
:XMODIFIERS=@im=ibus
:GNOME_KEYRING_PID=2130
:LANG=de_DE.utf8
:KDE_IS_PRELINKED=1
:MBK_OUT_PH=ap
:GDM_LANG=de_DE.utf8
:GENVIEW_TECHNO_NAME=/usr/lib64/alliance/etc/cmos.genview
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:RDS_IN=cif
:MBK_SPI_MODEL=/usr/lib64/alliance/etc/spimodel.cfg
:LOADEDMODULES=
:KDEDIRS=/usr
:MBK_OUT_LO=vst
:MBK_VSS=vss
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:VH_BEHSFX=vbe
:SHLVL=2
:HOME=/home/rkastl
:MBK_C4_LIB=./cellsC4
:MBK_VDD=vdd
:MBK_TARGET_LIB=/usr/lib64/alliance/cells/sxlib
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:RDS_TECHNO_NAME=/usr/lib64/alliance/etc/cmos.rds
:VH_DLYSFX=dly
:LOGNAME=rkastl
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-7jILnAEB9Z,guid=ddab01496901b37ac85c040e00000255
:MBK_IN_LO=vst
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:MBK_WORK_LIB=.
:XPAT_PARAM_NAME=/usr/lib64/alliance/etc/xpat.par
:WINDOWPATH=1
:DISPLAY=:0
:GTK_IM_MODULE=ibus
:ELP_TECHNO_NAME=/usr/lib64/alliance/etc/prol.elp
:MBK_CATA_LIB=.:/usr/lib64/alliance/cells/sxlib:/usr/lib6ls/rf2lib:/usr/lib64/alliance/cells/ramlib:/usr/lib64/alliance/cells/romlib:/usr/lib64/alliance/cells/pxlib:/usr/lib64/alliance/cells/padlib
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-rkastl-Mp6xJV/database
:COLORTERM=gnome-terminal
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/vegastrike
:OLDPWD=/home/rkastl/Downloads/m2ts

event_log:
:2011-05-24-11:19:52> Analyzing crash data
:2011-05-24-11:20:02  Analyzing crash data
:2011-05-24-11:20:13  Analyzing crash data
:2011-05-24-11:20:23  Analyzing crash data
:2011-05-24-11:20:34  Analyzing crash data
:2011-05-24-11:20:44  Analyzing crash data
:2011-05-24-11:20:54  Analyzing crash data
:2011-05-24-11:21:05  Analyzing crash data
:2011-05-24-11:21:16  Analyzing crash data
:2011-05-24-11:21:26  Analyzing crash data
:2011-05-24-11:21:36  Analyzing crash data
:2011-05-24-11:21:47  Initializing virtual root
:2011-05-24-11:21:57  Initializing virtual root
:2011-05-24-11:22:08  Initializing virtual root
:2011-05-24-11:22:18  Initializing virtual root
:2011-05-24-11:22:28  Initializing virtual root
:2011-05-24-11:22:39  Initializing virtual root
:2011-05-24-11:22:49  Initializing virtual root
:2011-05-24-11:23:00  Initializing virtual root
:2011-05-24-11:23:10  Initializing virtual root
:2011-05-24-11:23:21  Initializing virtual root
:2011-05-24-11:23:31  Initializing virtual root
:2011-05-24-11:23:42  Initializing virtual root
:2011-05-24-11:23:52  Initializing virtual root
:2011-05-24-11:24:02  Initializing virtual root
:2011-05-24-11:24:12  Initializing virtual root
:2011-05-24-11:24:23  Initializing virtual root
:2011-05-24-11:24:33  Initializing virtual root
:2011-05-24-11:24:44  Initializing virtual root
:2011-05-24-11:24:54  Initializing virtual root
:2011-05-24-11:25:04  Initializing virtual root
:2011-05-24-11:25:15  Initializing virtual root
:2011-05-24-11:25:25  Initializing virtual root
:2011-05-24-11:25:35  Initializing virtual root
:2011-05-24-11:25:46  Initializing virtual root
:2011-05-24-11:25:56  Initializing virtual root
:2011-05-24-11:26:06  Initializing virtual root
:2011-05-24-11:26:17  Initializing virtual root
:2011-05-24-11:26:27  Initializing virtual root
:2011-05-24-11:26:37  Initializing virtual root
:2011-05-24-11:26:48  Initializing virtual root
:2011-05-24-11:26:58  Initializing virtual root
:2011-05-24-11:27:08  Initializing virtual root
:2011-05-24-11:27:19  Initializing virtual root
:2011-05-24-11:27:29  Initializing virtual root
:2011-05-24-11:27:39  Initializing virtual root
:2011-05-24-11:27:50  Initializing virtual root
:2011-05-24-11:28:00  Initializing virtual root
:2011-05-24-11:28:10  Initializing virtual root
:2011-05-24-11:28:21  Initializing virtual root
:2011-05-24-11:28:31  Initializing virtual root
:2011-05-24-11:28:41  Initializing virtual root
:2011-05-24-11:28:52  Initializing virtual root
:2011-05-24-11:29:02  Initializing virtual root
:2011-05-24-11:29:12  Initializing virtual root
:2011-05-24-11:29:23  Initializing virtual root
:2011-05-24-11:29:33  Initializing virtual root
:2011-05-24-11:29:43  Initializing virtual root
:2011-05-24-11:29:54  Initializing virtual root
:2011-05-24-11:30:04  Initializing virtual root
:2011-05-24-11:30:14  Initializing virtual root
:2011-05-24-11:30:25  Initializing virtual root
:2011-05-24-11:30:35  Generating backtrace
:2011-05-24-11:30:45  Generating backtrace
:2011-05-24-11:30:55  Retrace job finished successfully

Comment 1 Rudolf Kastl 2011-05-24 09:42:44 UTC
Created attachment 500562 [details]
File: maps

Comment 2 Rudolf Kastl 2011-05-24 09:42:50 UTC
Created attachment 500563 [details]
File: backtrace

Comment 3 abdilra7eem 2011-05-31 16:26:27 UTC
Package: vegastrike-0.5.0-21.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
It crashes after loading blast*.png, no matter wt the settings are!
The package is installed from the repos, and the distro is still new (default configs).

Comment 4 abdilra7eem 2011-06-01 16:17:06 UTC
Package: vegastrike-0.5.0-21.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
the game starts loading, and after a couple of seconds, it crashes!
I ran it from the terminal, and here's what I got:

==========================
$ vegastrike
 In path /usr/bin
Vega Strike  
See http://www.gnu.org/copyleft/gpl.html for license details.

GOT SUBDIR ARG = 
Found data in /usr/share/vegastrike
Using /usr/share/vegastrike as data directory
Using .vegastrike-0.5.0 as the home directory
Found MODDIR = /usr/share/vegastrike/mods
USING HOMEDIR : /home/abdalrahim/.vegastrike-0.5.0 As the home directory 
CONFIGFILE - Found a config file in home directory, using : /home/abdalrahim/.vegastrike-0.5.0/vegastrike.config
DATADIR - No datadir specified in config file, using ; /usr/share/vegastrike
SIMULATION_ATOM: 0.12
MISSION_NAME is empty using : main_menu.mission
running import sys
print sys.path
sys.path += [r"/usr/share/vegastrike/modules",r"/usr/share/vegastrike/bases"]
['/usr/lib/python27.zip', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-linux2', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/usr/lib/python2.7/site-packages', '/usr/lib/python2.7/site-packages/PIL', '/usr/lib/python2.7/site-packages/gst-0.10', '/usr/lib/python2.7/site-packages/gtk-2.0', '/usr/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg-info']
testing VS randomrunning import sys
print sys.path
['/usr/lib/python27.zip', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-linux2', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/usr/lib/python2.7/site-packages', '/usr/lib/python2.7/site-packages/PIL', '/usr/lib/python2.7/site-packages/gst-0.10', '/usr/lib/python2.7/site-packages/gtk-2.0', '/usr/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg-info', '/usr/share/vegastrike/modules', '/usr/share/vegastrike/bases']
Setting Screen to w 1024 h 640 and pitch of 4096 and 32 bpp 4 bytes per pix mode
OpenGL Extensions supported: GL_ARB_multisample GL_EXT_abgr GL_EXT_bgra GL_EXT_blend_color GL_EXT_blend_logic_op GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_copy_texture GL_EXT_polygon_offset GL_EXT_subtexture GL_EXT_texture_object GL_EXT_vertex_array GL_EXT_compiled_vertex_array GL_EXT_texture GL_EXT_texture3D GL_IBM_rasterpos_clip GL_ARB_point_parameters GL_EXT_draw_range_elements GL_EXT_packed_pixels GL_EXT_point_parameters GL_EXT_rescale_normal GL_EXT_separate_specular_color GL_EXT_texture_edge_clamp GL_SGIS_generate_mipmap GL_SGIS_texture_border_clamp GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod GL_ARB_framebuffer_sRGB GL_ARB_multitexture GL_EXT_framebuffer_sRGB GL_IBM_multimode_draw_arrays GL_IBM_texture_mirrored_repeat GL_3DFX_texture_compression_FXT1 GL_ARB_texture_cube_map GL_ARB_texture_env_add GL_ARB_transpose_matrix GL_EXT_blend_func_separate GL_EXT_fog_coord GL_EXT_multi_draw_arrays GL_EXT_secondary_color GL_EXT_texture_env_add GL_EXT_texture_filter_anisotropic GL_EXT_texture_lod_bias GL_INGR_blend_func_separate GL_NV_blend_square GL_NV_light_max_exponent GL_NV_texgen_reflection GL_NV_texture_env_combine4 GL_SUN_multi_draw_arrays GL_ARB_texture_border_clamp GL_ARB_texture_compression GL_EXT_framebuffer_object GL_EXT_texture_env_dot3 GL_MESA_window_pos GL_NV_packed_depth_stencil GL_NV_texture_rectangle GL_NV_vertex_program GL_ARB_depth_texture GL_ARB_occlusion_query GL_ARB_shadow GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3 GL_ARB_texture_mirrored_repeat GL_ARB_window_pos GL_ATI_envmap_bumpmap GL_EXT_stencil_two_side GL_EXT_texture_cube_map GL_NV_depth_clamp GL_NV_vertex_program1_1 GL_APPLE_client_storage GL_APPLE_packed_pixels GL_APPLE_vertex_array_object GL_ARB_draw_buffers GL_ARB_fragment_program GL_ARB_fragment_shader GL_ARB_shader_objects GL_ARB_vertex_program GL_ARB_vertex_shader GL_ATI_draw_buffers GL_ATI_texture_env_combine3 GL_EXT_shadow_funcs GL_EXT_stencil_wrap GL_MESA_pack_invert GL_MESA_ycbcr_texture GL_ARB_depth_clamp GL_ARB_fragment_program_shadow GL_ARB_half_float_pixel GL_ARB_point_sprite GL_ARB_shading_language_100 GL_ARB_sync GL_ARB_texture_non_power_of_two GL_ARB_vertex_buffer_object GL_ATI_blend_equation_separate GL_EXT_blend_equation_separate GL_OES_read_format GL_ARB_color_buffer_float GL_ARB_pixel_buffer_object GL_ARB_texture_compression_rgtc GL_ARB_texture_rectangle GL_EXT_pixel_buffer_object GL_EXT_texture_compression_rgtc GL_EXT_texture_rectangle GL_EXT_texture_sRGB GL_ARB_framebuffer_object GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXT_packed_depth_stencil GL_APPLE_object_purgeable GL_ARB_vertex_array_object GL_ATI_separate_stencil GL_EXT_draw_buffers2 GL_EXT_gpu_program_parameters GL_EXT_texture_env_combine GL_EXT_texture_sRGB_decode GL_OES_EGL_image GL_ARB_copy_buffer GL_ARB_half_float_vertex GL_ARB_map_buffer_range GL_ARB_texture_rg GL_ARB_texture_swizzle GL_ARB_vertex_array_bgra GL_EXT_separate_shader_objects GL_EXT_texture_swizzle GL_EXT_vertex_array_bgra GL_NV_conditional_render GL_ARB_ES2_compatibility GL_ARB_draw_elements_base_vertex GL_ARB_explicit_attrib_location GL_ARB_fragment_coord_conventions GL_ARB_provoking_vertex GL_ARB_sampler_objects GL_ARB_seamless_cube_map GL_EXT_provoking_vertex GL_EXT_texture_snorm GL_MESA_texture_signed_rgba GL_ARB_robustness 
OpenGL::GL_EXT_compiled_vertex_array unsupported
OpenGL::Accurate Fog Distance unsupported
OpenGL::Generic Texture Compression supported
OpenGL::S3TC Texture Compression unsupported
OpenGL::Multitexture supported (8 units)
OpenGL::TextureCubeMapExt supported
OpenGL::S3TC Texture Clamp-to-Edge supported
OpenGL::S3TC Texture Clamp-to-Border supported
OpenGL::EXTColorTable unsupported
0 joysticks were found.

The names of the joysticks are:
FactionXML:LoadXML factions.xml
Contents of star system:
<system name="Empty" background="backgrounds/black" nearstars="0" stars="0" starspread="0"  y="0" z="0" x="0">
</system>

Min (0.000000, 0.000000, 0.000000) Max(0.000000, 0.000000, 0.000000) MinLumin 1.000000, MaxLumin 1.000000Read In Star Count 0 used: 2000
Min (0.000000, 0.000000, 0.000000) Max(0.000000, 0.000000, 0.000000) MinLumin 1.000000, MaxLumin 1.000000Read In Star Count 0 used: 38
Loading a starsystem
Loading Star System Special/Empty
refusing to bind command to joystick (joy-nr too high)
FOUND MODIFICATION = player FOR PLAYER #0
CREATING A LOCAL SHIP : dumbfire
Hi helper play 0
HereInitializing optimizer
Segmentation fault (core dumped)

===============================================

Comment 5 Tom "spot" Callaway 2011-06-27 20:46:43 UTC
Crashes for me too. F15 x86_64 GNOME.

Comment 6 Bruno Wolff III 2011-06-28 03:33:45 UTC
There is  0.5.1 beta available and I'll working on trying that out.
I found a couple of closed upstream bugs that look related. They refer to textureNDLod not being available. I think this applies to Fedora. I can't double check this at home right now, but I am pretty sure I saw that message when I tested on another machine earlier today.

Comment 7 Vinzenz Vietzke 2011-06-29 09:01:57 UTC
Crashes here at the same point as stated in comment 4 (abdilra7eem). F15 x86_64 Gnome.

Comment 8 Bruno Wolff III 2011-07-09 19:03:15 UTC
I have started koji builds for 0.5.1 beta1-2 in rawhide. They are building locally, and should build in koji unless I made an oops or something subtle happens.
I haven't tested these, yet but will do so once the builds are available.

Comment 9 Bruno Wolff III 2011-07-10 00:46:07 UTC
I tested it and it is still crashing, but for a different reason. So there is still some work to do. The new message is:
terminate called after throwing an instance of 'Audio::FileOpenException'
  what():  Cannot open "techniques/fixed.technique"
Aborted (core dumped)

Comment 10 Bruno Wolff III 2011-07-10 02:53:10 UTC
Rawhide seems to be working, though I didn't go to far into the game.
For F15 it seems reasonable to push the beta version since 0.5.0 is totally broken, and tracking down the fix amoungst the changes is probably not going to be worth the time. However, I need to decide if I should do the Ogre bump from 1.7.2 to 1.7.3 at the same time to pick up those fixes.

Comment 12 Rudolf Kastl 2011-08-01 00:01:35 UTC
even with all updates applied the bug persists for me on two f15 machine.

Comment 13 Bruno Wolff III 2011-08-01 03:01:48 UTC
Are you sure it's the same bug? The previous version expected a library that Fedora didn't have. That bug should be fixed. I wouldn't be surprised to see hardware / video driver specific bugs that aren't fixed.

Comment 14 Rudolf Kastl 2011-08-01 06:55:05 UTC
well not entirely sure because no matter which features i turn on or off in vssetup it just crashes on at a different message. ultimately it segfaults at the end. e.g. compiling of shaders fails... but it crashes anyway even if shaders are turned off completly. i will add some more detailed infos asap.

Comment 15 Rudolf Kastl 2011-08-01 06:58:22 UTC
backtrace with intel onboard and open source drivers (shaders turned off):

Program received signal SIGSEGV, Segmentation fault.
0x00000000007ed51d in Mesh::LoadMeshes(VSFileSystem::VSFile&, Vector const&, int, Flightgroup*, std::string, std::vector<std::string, std::allocator<std::string> > const&) ()
(gdb) bt
#0  0x00000000007ed51d in Mesh::LoadMeshes(VSFileSystem::VSFile&, Vector const&, int, Flightgroup*, std::string, std::vector<std::string, std::allocator<std::string> > const&) ()
#1  0x00000000008008ea in Mesh::LoadMeshes(char const*, Vector const&, int, Flightgroup*, std::vector<std::string, std::allocator<std::string> > const&) ()
#2  0x000000000068625f in pushMesh(std::vector<Mesh*, std::allocator<Mesh*> >&, float&, float&, char const*, float, int, Flightgroup*, int, double) ()
#3  0x000000000060523f in AddMeshes(std::vector<Mesh*, std::allocator<Mesh*> >&, float&, float&, float, std::string const&, int, Flightgroup*, std::vector<unsigned int, std::allocator<unsigned int> >*) ()
#4  0x000000000060d934 in Unit::LoadRow(CSVRow&, std::string, std::string*) ()
#5  0x000000000065214a in Unit::Init(char const*, bool, int, std::string, Flightgroup*, int, std::string*) ()
#6  0x0000000000a99043 in GameUnit<Unit>::GameUnit(char const*, bool, int, std::string, Flightgroup*, int, std::string*) ()
#7  0x0000000000a5873c in UnitFactory::createUnit(char const*, bool, int, std::string, Flightgroup*, int, std::string*, unsigned short) ()
#8  0x000000000089a917 in createObjects(std::vector<std::string, std::allocator<std::string> >&, std::vector<StarSystem*, std::allocator<StarSystem*> >&, std::vector<QVector, std::allocator<QVector> >&, std::vector<std::vector<std::string, std::allocator<std::string> >, std::allocator<std::vector<std::string, std::allocator<std::string> > > >&) ()
#9  0x0000000000ae78f6 in bootstrap_main_loop() ()

i will check if that also happens with my hd6950 at home as soon as possible (as far as i remember yes)

Comment 16 Jonathan Graham 2011-08-29 03:55:21 UTC
Package: vegastrike-0.5.1-0.1.beta1.2.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Segfault on launch, even with the lowest graphic settings

Comment 17 Fedora End Of Life 2012-08-07 15:30:28 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.